Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 487620 - [PATCH] Be able to resolve own hostname
Summary: [PATCH] Be able to resolve own hostname
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora Hosted Projects
Classification: Retired
Component: mock
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Clark Williams
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-02-27 02:53 UTC by Lubomir Rintel
Modified: 2013-01-10 05:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-27 18:38:54 UTC


Attachments (Terms of Use)
Be able to resolve own hostname (deleted)
2009-02-27 02:53 UTC, Lubomir Rintel
no flags Details

Description Lubomir Rintel 2009-02-27 02:53:38 UTC
Created attachment 333428 [details]
Be able to resolve own hostname

As mentioned in bug 238101 comment #3, copying /etc/hosts along with resolv.conf might be a good idea. Apart from that, being able to resolve own hostname can be useful in other scenarios, such as certain tests (such as perl-libwww-perl ones).

Attached is the patch that adds own hostname to loopback's entry in /etc/hosts in case use_host_resolv is not used, otherwise copies /etc/hosts along with /etc/resolv.conf.

Comment 1 Lubomir Rintel 2009-03-20 10:35:12 UTC
Ping?

Comment 2 Clark Williams 2009-03-27 15:23:35 UTC
Sorry, been off working on other stuff; this looks fine and I've pull it in for the next release.

Comment 3 Clark Williams 2010-07-27 18:38:54 UTC
This change causes big problems with koji, in that it makes all the packages built say that they were built on localhost rather than the build host. So, we can't merge this patch.


Note You need to log in before you can comment on or make changes to this bug.